Bug 182191 - astro/qlandkartegt : 1.7.4
Summary: astro/qlandkartegt : 1.7.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-17 19:20 UTC by Christoph Moench-Tegeder
Modified: 2013-10-16 03:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2013-09-17 19:20:00 UTC
	bugfix-update (painless)

	http://sourceforge.net/mailarchive/message.php?msg_id=31410298

Fix: 

Regards,
Christoph--TxZY15sGb1p4Q9Oips7SYuYKH6qm0xGmbccZMA0E7NOxOjch
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
--- Makefile	(revision 327498)
+++ Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	qlandkartegt
-PORTVERSION=	1.7.3
+PORTVERSION=	1.7.4
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/QLandkarteGT%20${PORTVERSION}
 
Index: distinfo
===================================================================
--- distinfo	(revision 327498)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (qlandkartegt-1.7.3.tar.gz) = dbfc9636f4a8cc88737dff8cbd3b411e4b1ac17c552516396b55d1e680ad953c
-SIZE (qlandkartegt-1.7.3.tar.gz) = 8334026
+SHA256 (qlandkartegt-1.7.4.tar.gz) = d6412ae6b34c2ec8a5f929f7aa8b4d1a660f913f16ea52096f93b42d4f271daf
+SIZE (qlandkartegt-1.7.4.tar.gz) = 8332394
Comment 1 Edwin Groothuis freebsd_committer 2013-09-17 19:20:07 UTC
Maintainer of astro/qlandkartegt,

Please note that PR ports/182191 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/182191

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-09-17 19:20:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dmitry Marakasov freebsd_committer 2013-09-25 05:18:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 4 Dmitry Marakasov 2013-09-25 06:05:10 UTC
* Christoph Moench-Tegeder (cmt@burggraben.net) wrote:

> bugfix-update (painless)
>
> http://sourceforge.net/mailarchive/message.php?msg_id=31410298

I propose additional changes:

- Support staging (trivial)
- Support build with clang (3 patches)
- Use new LIB_DEPENDS syntax

--- qlandkartegt.patch begins here ---
Index: Makefile
===================================================================
--- Makefile	(revision 328250)
+++ Makefile	(working copy)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	qlandkartegt
-PORTVERSION=	1.7.3
+PORTVERSION=	1.7.4
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/QLandkarteGT%20${PORTVERSION}
 
@@ -11,11 +11,10 @@
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	gdal:${PORTSDIR}/graphics/gdal \
-		proj:${PORTSDIR}/graphics/proj \
-		gps:${PORTSDIR}/astro/gpsd
+LIB_DEPENDS=	libgdal.so:${PORTSDIR}/graphics/gdal \
+		libproj.so:${PORTSDIR}/graphics/proj \
+		libgps.so:${PORTSDIR}/astro/gpsd
 
-NO_STAGE=	yes
 USES=		cmake
 USE_QT4=	dbus gui opengl network sql xml linguist_build \
 		moc_build uic_build rcc_build qmake_build
Index: distinfo
===================================================================
--- distinfo	(revision 328250)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (qlandkartegt-1.7.3.tar.gz) = dbfc9636f4a8cc88737dff8cbd3b411e4b1ac17c552516396b55d1e680ad953c
-SIZE (qlandkartegt-1.7.3.tar.gz) = 8334026
+SHA256 (qlandkartegt-1.7.4.tar.gz) = d6412ae6b34c2ec8a5f929f7aa8b4d1a660f913f16ea52096f93b42d4f271daf
+SIZE (qlandkartegt-1.7.4.tar.gz) = 8332394
Index: files/patch-3rdparty-map2gcm-main.cpp
===================================================================
--- files/patch-3rdparty-map2gcm-main.cpp	(revision 0)
+++ files/patch-3rdparty-map2gcm-main.cpp	(working copy)
@@ -0,0 +1,11 @@
+--- 3rdparty/map2gcm/main.cpp.orig	2013-06-17 16:27:54.000000000 +0400
++++ 3rdparty/map2gcm/main.cpp	2013-09-25 08:33:07.841519182 +0400
+@@ -83,7 +83,7 @@
+         if(pj) pj_free(pj);
+     }
+ 
+-    bool operator<(const file_t& other)
++    bool operator<(const file_t& other) const
+     {
+         return (xscale < other.xscale);
+     }
Index: files/patch-3rdparty-map2jnx-main.cpp
===================================================================
--- files/patch-3rdparty-map2jnx-main.cpp	(revision 0)
+++ files/patch-3rdparty-map2jnx-main.cpp	(working copy)
@@ -0,0 +1,11 @@
+--- 3rdparty/map2jnx/main.cpp.orig	2013-09-16 20:29:13.000000000 +0400
++++ 3rdparty/map2jnx/main.cpp	2013-09-25 08:16:33.022519128 +0400
+@@ -121,7 +121,7 @@
+         if(pj) pj_free(pj);
+     }
+ 
+-    bool operator<(const file_t& other)
++    bool operator<(const file_t& other) const
+     {
+         return (xscale > other.xscale);
+     }
Index: files/patch-src-CMapTDB.h
===================================================================
--- files/patch-src-CMapTDB.h	(revision 0)
+++ files/patch-src-CMapTDB.h	(working copy)
@@ -0,0 +1,11 @@
+--- src/CMapTDB.h.orig	2013-08-15 19:13:38.000000000 +0400
++++ src/CMapTDB.h	2013-09-25 08:45:54.954519968 +0400
+@@ -209,7 +209,7 @@
+             quint8 level;
+             bool useBaseMap;
+ 
+-            bool operator==(const map_level_t &ml)
++            bool operator==(const map_level_t &ml) const
+             {
+                 if (ml.bits != bits || ml.level != level || ml.useBaseMap != useBaseMap)
+                     return false;
--- qlandkartegt.patch ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Dmitry Marakasov freebsd_committer 2013-10-16 03:36:11 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2013-10-16 03:36:16 UTC
Author: amdmi3
Date: Wed Oct 16 02:36:08 2013
New Revision: 330470
URL: http://svnweb.freebsd.org/changeset/ports/330470

Log:
  - Update to 1.7.4
  - Support staging
  - Fix build with clang
  
  PR:		182191
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>
  Approved by:	maintainer timeout

Added:
  head/astro/qlandkartegt/files/patch-3rdparty-map2gcm-main.cpp   (contents, props changed)
  head/astro/qlandkartegt/files/patch-3rdparty-map2jnx-main.cpp   (contents, props changed)
  head/astro/qlandkartegt/files/patch-src-CMapTDB.h   (contents, props changed)
Modified:
  head/astro/qlandkartegt/Makefile
  head/astro/qlandkartegt/distinfo

Modified: head/astro/qlandkartegt/Makefile
==============================================================================
--- head/astro/qlandkartegt/Makefile	Wed Oct 16 02:26:40 2013	(r330469)
+++ head/astro/qlandkartegt/Makefile	Wed Oct 16 02:36:08 2013	(r330470)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	qlandkartegt
-PORTVERSION=	1.7.3
+PORTVERSION=	1.7.4
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/QLandkarteGT%20${PORTVERSION}
 
@@ -11,11 +11,10 @@ COMMENT=	The ultimate outdoor aficionado
 
 LICENSE=	GPLv3
 
-LIB_DEPENDS=	gdal:${PORTSDIR}/graphics/gdal \
-		proj:${PORTSDIR}/graphics/proj \
-		gps:${PORTSDIR}/astro/gpsd
+LIB_DEPENDS=	libgdal.so:${PORTSDIR}/graphics/gdal \
+		libproj.so:${PORTSDIR}/graphics/proj \
+		libgps.so:${PORTSDIR}/astro/gpsd
 
-NO_STAGE=	yes
 USES=		cmake
 USE_QT4=	dbus gui opengl network sql xml linguist_build \
 		moc_build uic_build rcc_build qmake_build

Modified: head/astro/qlandkartegt/distinfo
==============================================================================
--- head/astro/qlandkartegt/distinfo	Wed Oct 16 02:26:40 2013	(r330469)
+++ head/astro/qlandkartegt/distinfo	Wed Oct 16 02:36:08 2013	(r330470)
@@ -1,2 +1,2 @@
-SHA256 (qlandkartegt-1.7.3.tar.gz) = dbfc9636f4a8cc88737dff8cbd3b411e4b1ac17c552516396b55d1e680ad953c
-SIZE (qlandkartegt-1.7.3.tar.gz) = 8334026
+SHA256 (qlandkartegt-1.7.4.tar.gz) = d6412ae6b34c2ec8a5f929f7aa8b4d1a660f913f16ea52096f93b42d4f271daf
+SIZE (qlandkartegt-1.7.4.tar.gz) = 8332394

Added: head/astro/qlandkartegt/files/patch-3rdparty-map2gcm-main.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/qlandkartegt/files/patch-3rdparty-map2gcm-main.cpp	Wed Oct 16 02:36:08 2013	(r330470)
@@ -0,0 +1,11 @@
+--- 3rdparty/map2gcm/main.cpp.orig	2013-06-17 16:27:54.000000000 +0400
++++ 3rdparty/map2gcm/main.cpp	2013-09-25 08:33:07.841519182 +0400
+@@ -83,7 +83,7 @@
+         if(pj) pj_free(pj);
+     }
+ 
+-    bool operator<(const file_t& other)
++    bool operator<(const file_t& other) const
+     {
+         return (xscale < other.xscale);
+     }

Added: head/astro/qlandkartegt/files/patch-3rdparty-map2jnx-main.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/qlandkartegt/files/patch-3rdparty-map2jnx-main.cpp	Wed Oct 16 02:36:08 2013	(r330470)
@@ -0,0 +1,11 @@
+--- 3rdparty/map2jnx/main.cpp.orig	2013-09-16 20:29:13.000000000 +0400
++++ 3rdparty/map2jnx/main.cpp	2013-09-25 08:16:33.022519128 +0400
+@@ -121,7 +121,7 @@
+         if(pj) pj_free(pj);
+     }
+ 
+-    bool operator<(const file_t& other)
++    bool operator<(const file_t& other) const
+     {
+         return (xscale > other.xscale);
+     }

Added: head/astro/qlandkartegt/files/patch-src-CMapTDB.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/astro/qlandkartegt/files/patch-src-CMapTDB.h	Wed Oct 16 02:36:08 2013	(r330470)
@@ -0,0 +1,11 @@
+--- src/CMapTDB.h.orig	2013-08-15 19:13:38.000000000 +0400
++++ src/CMapTDB.h	2013-09-25 08:45:54.954519968 +0400
+@@ -209,7 +209,7 @@
+             quint8 level;
+             bool useBaseMap;
+ 
+-            bool operator==(const map_level_t &ml)
++            bool operator==(const map_level_t &ml) const
+             {
+                 if (ml.bits != bits || ml.level != level || ml.useBaseMap != useBaseMap)
+                     return false;
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"